import { AnonymizedEventDTO } from "../model/event.ts";

export async function fetchRoom(): Promise<string[]> {
  const rooms: string[] = [];
  await fetch("/api/rooms")
    .then((response) => {
      return response.json();
    })
    .then((roomsResponse: [] | null) => {
      roomsResponse?.forEach((room: string) => rooms.push(room));
    });
  return rooms;
}

export async function fetchEventsByRoomAndDuration(
  room: string,
  from_date: string,
  to_date: string,
): Promise<AnonymizedEventDTO[]> {
  const events: AnonymizedEventDTO[] = [];
  await fetch(
    "/api/schedule?room=" + room + "&from=" + from_date + "&to=" + to_date,
  )
    .then((response) => {
      return response.json();
    })
    .then((eventsResponse: [] | null) => {
      eventsResponse?.forEach((event: AnonymizedEventDTO) =>
        events.push(event),
      );
    })
    .catch((error) => {
      return Promise.reject(error);
    });
  return events;
}
